Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.features.interval13
Class StateLengthLogprobInterval13

    java.lang.Object
      calhoun.analysis.crf.features.interval13.StateLengthLogprobInterval13

All Implemented Interfaces:
  FeatureManager<java.lang.Character>, FeatureManagerNodeExplicitLength<java.lang.Character>, java.io.Serializable

    public class StateLengthLogprobInterval13

extends java.lang.Object
implements FeatureManagerNodeExplicitLength<java.lang.Character>

See Also:
  Serialized Form

Constructor Summary
`StateLengthLogprobInterval13()`

Method Summary
`void` | `evaluateNodeLength(InputSequence<? extends java.lang.Character> seq, int pos, int length, int state, FeatureList result)`
`CacheStrategySpec` | `getCacheStrategy()` caching strategy that the `CacheProcessor` should use to cache values for this feature.
`java.lang.String` | `getFeatureName(int featureIndex)` Returns a human identifiable name for the feature referenced by a given index.
`java.lang.String` | `getInputComponent()` Specifies the particular component of the input which this feature manager uses, if the input data is a composite input which has multiple components.
`int` | `getNumFeatures()` Returns the number of features maintained by this `FeatureManager`.
`boolean` | `isMultipleFeatures()`
`boolean` | `isNoIntergenic()`
`void` | `setExonExponential(boolean exonExponential)`
`void` | `setForceExponential(boolean forceExponential)`
`void` | `setInputComponent(java.lang.String name)` Sets which particular component of a CompositeInput this FeatureManager has access to.
`void` | `setIntronExponential(boolean intronExponential)`
`void` | `setMultipleFeatures(boolean multipleFeatures)` set to true to indicate that intergenic, exonic, and intergenic lengths should each get a separate weight.
`void` | `setNoIntergenic(boolean noIntergenic)`
`void` | `train(int startingIndex, ModelManager modelInfo, java.util.List<? extends TrainingSequence<? extends java.lang.Character>> data)` Provides access to the entire training set so that FeatureManager can compute global properties and assign feature indices.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateLengthLogprobInterval13

    public StateLengthLogprobInterval13()

Method Detail

### setForceExponential

    public void setForceExponential(boolean forceExponential)

### setExonExponential

    public void setExonExponential(boolean exonExponential)

### setIntronExponential

    public void setIntronExponential(boolean intronExponential)

### evaluateNodeLength

    public void evaluateNodeLength(InputSequence<? extends java.lang.Character> seq,
                                   int pos,
                                   int length,
                                   int state,
                                   FeatureList result)

  Specified by:
    `evaluateNodeLength` in interface `FeatureManagerNodeExplicitLength<java.lang.Character>`

### getCacheStrategy

    public CacheStrategySpec getCacheStrategy()

  Description copied from interface: `FeatureManager`
  caching strategy that the `CacheProcessor` should use to cache values for this feature. This is only a hint, the cache processor is not required to use this (or any) caching strategy. This base class defaults to the UNSPECIFIED cache strategy.

  Specified by:
    `getCacheStrategy` in interface `FeatureManager<java.lang.Character>`
  Returns:
    cache strategy specification appropriate for this feature.

### getFeatureName

    public java.lang.String getFeatureName(int featureIndex)

  Description copied from interface: `FeatureManager`
  Returns a human identifiable name for the feature referenced by a given index. Used for display purposes only.

  Specified by:
    `getFeatureName` in interface `FeatureManager<java.lang.Character>`
  Parameters:
    `featureIndex` - the index of this feature
  Returns:
    the human readable name of this feature

### getInputComponent

    public java.lang.String getInputComponent()

  Description copied from interface: `FeatureManager`
  Specifies the particular component of the input which this feature manager uses, if the input data is a composite input which has multiple components. May be `null` if the input is not a composite or if the feature manager has access to all of the input. See the Conrad User's Guide for how to set up input data.

  Specified by:
    `getInputComponent` in interface `FeatureManager<java.lang.Character>`
  Returns:
    string name of the input component this feature should look at, or null if the feature has access to all inputs.

### setInputComponent

    public void setInputComponent(java.lang.String name)

  Description copied from interface: `FeatureManager`
  Sets which particular component of a CompositeInput this FeatureManager has access to.

  Specified by:
    `setInputComponent` in interface `FeatureManager<java.lang.Character>`
  Parameters:
    `name` - name of the component of the CompositeInput this FeatureManager has access to. Usually set automatically during configuration.

### train

    public void train(int startingIndex,
                      ModelManager modelInfo,
                      java.util.List<? extends TrainingSequence<? extends java.lang.Character>> data)

  Description copied from interface: `FeatureManager`
  Provides access to the entire training set so that FeatureManager can compute global properties and assign feature indices. This will be called before any evaluations are requested. If the FeatureManager can have a variable number of features, this must be fixed within this method.

  Specified by:
    `train` in interface `FeatureManager<java.lang.Character>`
  Parameters:
    `startingIndex` - the feature index of the first feature owned by this FeatureManager. Each FeatureManager must use up consecutive indexes, so the last index used will be startingIndex + numFeatures - 1.
    `modelInfo` - the model that contains this feature
    `data` - the full list of training sequences to use to train the feature

### getNumFeatures

    public int getNumFeatures()

  Description copied from interface: `FeatureManager`
  Returns the number of features maintained by this `FeatureManager`. This number must be fixed after the call to trainFeatures is complete.

  Specified by:
    `getNumFeatures` in interface `FeatureManager<java.lang.Character>`
  Returns:
    number of features managed by this `FeatureManager`

### isMultipleFeatures

    public boolean isMultipleFeatures()

  Returns:
    Returns the multipleFeatures.

### setMultipleFeatures

    public void setMultipleFeatures(boolean multipleFeatures)

  set to true to indicate that intergenic, exonic, and intergenic lengths should each get a separate weight.

  Parameters:
    `multipleFeatures` - The multipleFeatures to set.

### isNoIntergenic

    public boolean isNoIntergenic()

  Returns:
    Returns the noIntergenic.

### setNoIntergenic

    public void setNoIntergenic(boolean noIntergenic)

  Parameters:
    `noIntergenic` - The noIntergenic to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD